Bug 517918 - epoll backend allocates too much memory
Summary: epoll backend allocates too much memory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 21:15 UTC by Tom "spot" Callaway
Modified: 2010-11-04 14:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 14:33:48 UTC


Attachments (Terms of Use)
Allocate a lot less memory with the epoll backend (1012 bytes, patch)
2009-08-17 21:15 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Tom "spot" Callaway 2009-08-17 21:15:59 UTC
Created attachment 357706 [details]
Allocate a lot less memory with the epoll backend

Description of problem:

Currently, chromium has a local copy of libevent with one patch applied, to fix an issue where the epoll backend over-aggressively allocates memory:

https://sourceforge.net/tracker/?func=detail&aid=2839240&group_id=50884&atid=461322

The attached patch resolves the issue, please consider applying and pushing out a Fedora update for this issue.

Comment 1 Steve Dickson 2009-08-18 20:37:54 UTC
Fixed in libevent-1.4.12-1.fc12

Comment 2 Bug Zapper 2009-11-16 11:31:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:27:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Tom "spot" Callaway 2010-11-04 14:33:48 UTC
This is long since merged upstream.


Note You need to log in before you can comment on or make changes to this bug.